Deskhero Developer Hub
Back to deskhero.com
Email domains

Email domain_ only aggregates

Returns the distinct values, with counts, of the email domain properties named in field_keys, for populating filter inputs; no domains are returned. At least one field key is required, and keys that do not exist or cannot be aggregated are rejected.

GET /api/{tenant:minlength(2)}/v{version:apiVersion}/email_domains/aggregate
Authorisation
Minimum role: USER

Request arguments

Name Type Source
field_keysString[]Query
filterDTO_standard_filterQuery
Request body example

Response

Status
200 (OK)
Type
DTO_email_domain[]
Wrapper
DTO_response_wrap_get_many
Other statuses
400 (BadRequest), 403 (Forbidden)
Response body example
DTO_standard_filter
NameTypeReadOnlyDescription
sort_by_keyStringSort by key
response_field_keysString[]Only return the fields specified
filtersString[]Each string needs to be structured: filters=field_key:operator:value1|value2|value3 Only used to store filters for passing along as querystring
include_aggregationsBooleanInclude aggregations
include_importedBooleanInclude imported
searchStringSearch
sort_orderENUM sort_orderSort order
takeInt32Take
pageInt32Page
DTO_email_domain
NameTypeReadOnlyDescription
created_byDTO_reference_userReadOnlyCreated by
last_updated_byDTO_reference_userReadOnlyLast updated by
idInt32ReadOnlyLeave empty on input
domain_nameStringDomain name
statusENUM email_domain_statusReadOnlyStatus
typeENUM email_domain_typeReadOnlyType
createdDateTimeReadOnlyCreated
last_updatedDateTimeReadOnlyLast updated
verifiedDateTime (nullable)ReadOnlyVerified
DTO_reference_user
NameTypeReadOnlyDescription
profile_picStringReadOnlyProfile pic
emailStringReadOnlyEmail
idInt32Id
labelObjectReadOnlyLabel
ENUM sort_order
ValueNameDescription
0ASCASC
1DESCDESC
ENUM email_domain_status
ValueNameDescription
0UNKNOWNUNKNOWN
1PENDINGPENDING
2VERIFIEDVERIFIED
ENUM email_domain_type
ValueNameDescription
0CUSTOMCUSTOM
1TENANT_DEFAULTTENANT_DEFAULT

Generated Aug 4, 2026 18:37